Bug 560380

Summary: Review Request: free42 - 42S Calculator Simulator
Product: [Fedora] Fedora Reporter: Eric Smith <spacewar>
Component: Package ReviewAssignee: Martin Gieseking <martin.gieseking>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, herrold, martin.gieseking, notting
Target Milestone: ---Flags: martin.gieseking: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: free42-1.4.70-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-09 01:32:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eric Smith 2010-01-31 11:35:20 UTC
Spec URL: http://fedorapeople.org/~brouhaha/free42/free42.spec
SRPM URL: http://fedorapeople.org/~brouhaha/free42/free42-1.4.61-1.fc12.src.rpm
Koji scratch build for dist-f12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1954665

Description:
Free42 is a complete re-implementation of the 42S calculator and the
82240 printer.  It was written from scratch, without using any HP code.

Comment 1 Martin Gieseking 2010-03-26 16:51:33 UTC
Eric, your package looks pretty clean, and I'll do the review. Would you like to update it to the latest upstream release first?

Comment 2 Eric Smith 2010-03-27 17:38:37 UTC
Updated to latest upstream release.

Spec URL: http://fedorapeople.org/~brouhaha/free42/free42.spec
SRPM URL: http://fedorapeople.org/~brouhaha/free42/free42-1.4.62-1.fc12.src.rpm
Koji scratch build for dist-f12:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2078719

Comment 3 Martin Gieseking 2010-03-28 12:27:17 UTC
Hi Eric,

the package is almost ready. Unfortunately, it doesn't build for F-13 yet:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2079347

The reason is the missing linker flag (see checklist below).


$ rpmlint /var/lib/mock/fedora-12-x86_64/result/*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2 and MIT (modern Style with sublicense) according to source file headers and website

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    $ md5sum free42-nologo-1.4.62.tgz*
    12979dbeb6d8801c375c5746492e721d  free42-nologo-1.4.62.tgz
    12979dbeb6d8801c375c5746492e721d  free42-nologo-1.4.62.tgz.1

[X] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - fails building for F-13 because of missing LDFLAG -lX11
    - add the following line to the %build section (behind "cd gtk"):
      sed -i 's/^\(LIBS := .*\)/\1 -lX11/' Makefile
    - this should be reported upstream
 
[.] MUST: If the package does not successfully compile, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
    - no locales

[.] MUST: Packages which store shared library files ...
    - no shared libs

[.] MUST: If the package is designed to be relocatable, ...
    - not relocatable

[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
    - no large docs

[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
    - no .h files

[.] MUST: Static libraries must be in a -static package.
    - no static libs

[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
    - no .pc files

[.] MUST: If a package contains library files with a suffix ...
    - no shared libs

[.] MUST: devel packages must require the base package
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] .desktop file must be properly installed with desktop-file-install in the %install section. 
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock on Fedora 12

[+] SHOULD: The reviewer should test that the package functions as described. 
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

Comment 4 Martin Gieseking 2010-03-28 13:06:35 UTC
I just noticed that the %{optflags} aren't applied properly. They must be added to CXXFLAGS. As far as I can see, CFLAGS isn't used at all. To fix this, add
the following line to the %build section:
sed -i "/^CXXFLAGS :=/s/-MMD -Wall -g/%{optflags}/" Makefile

Comment 5 Eric Smith 2010-03-28 19:21:46 UTC
Updated %build section with your sed commands.  Thanks!

Spec URL: http://fedorapeople.org/~brouhaha/free42/free42.spec
SRPM URL: http://fedorapeople.org/~brouhaha/free42/free42-1.4.62-2.fc12.src.rpm
Koji scratch build for dist-f13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2080212

Comment 6 Martin Gieseking 2010-03-28 20:07:28 UTC
Now everything looks fine, and I think we can finish here. :)

------------------------
The package is APPROVED.
------------------------

Comment 7 Eric Smith 2010-03-28 22:56:11 UTC
New Package CVS Request
=======================
Package Name: free42
Short Description: 42S Calculator Simulator
Owners: brouhaha
Branches: F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-03-30 21:32:18 UTC
CVS done (by process-cvs-requests.py).

Please remember to assign the review to the reviewer?

Comment 9 Fedora Update System 2010-04-07 01:23:35 UTC
free42-1.4.62-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/free42-1.4.62-2.fc12

Comment 10 Fedora Update System 2010-04-07 01:24:29 UTC
free42-1.4.62-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/free42-1.4.62-2.fc13

Comment 11 Fedora Update System 2010-04-09 01:32:29 UTC
free42-1.4.62-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-09 04:08:43 UTC
free42-1.4.62-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Eric Smith 2012-03-11 07:22:16 UTC
Package Change Request
======================
Package Name: free42
New Branches: el6
Owners: brouhaha

Comment 14 Gwyn Ciesla 2012-03-12 12:02:35 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2012-03-12 18:52:57 UTC
free42-1.4.70-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/free42-1.4.70-2.el6

Comment 16 Fedora Update System 2012-03-28 20:38:40 UTC
free42-1.4.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository.